Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 600508 - [Intel 6.0 Bug] X segfaults during DVD install
[Intel 6.0 Bug] X segfaults during DVD install
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-vesa (Show other bugs)
6.0
All Linux
low Severity urgent
: rc
: 6.0
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks: 551128 510435
  Show dependency treegraph
 
Reported: 2010-06-04 16:57 EDT by Ross Brattain
Modified: 2010-07-19 12:10 EDT (History)
15 users (show)

See Also:
Fixed In Version: xorg-x11-drv-vesa-2.3.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 15:58:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda logs (23.39 KB, application/x-gzip)
2010-06-04 16:59 EDT, Ross Brattain
no flags Details

  None (edit)
Description Ross Brattain 2010-06-04 16:57:43 EDT
Description of problem:

X.org segfaults during DVD install

Version-Release number of selected component (if applicable):

RHEL6.0-20100527.2-Server-x86_64-DVD1.iso

How reproducible:

Always

Steps to Reproduce:
1. Boot install DVD
2. Select install from DVD
3. Run media check
  
Actual results:

X fails, and anaconda continues in text mode

Expected results:

GUI install

Additional info:

Only fails with physical DVD install.  DVD passes media check.

When installing via FTP with the exact same ISO image as was used to create the DVD, the GUI install works.  

Logs attached.

This blocks testing installation to FCOE LUN via GUI.
Comment 1 Ross Brattain 2010-06-04 16:59:09 EDT
Created attachment 421352 [details]
anaconda logs
Comment 3 Chris Lumens 2010-06-04 17:06:08 EDT
X segfaults are typically not anaconda bugs.

Backtrace:
0: Xorg (xorg_backtrace+0x28) [0x4adf38]
1: Xorg (0x400000+0x629e9) [0x4629e9]
2: /lib64/libpthread.so.0 (0x7f3f1b889000+0xf440) [0x7f3f1b898440]
3: Xorg (DamageUnregister+0x53) [0x4de543]
4: /usr/lib64/xorg/modules/libshadow.so (shadowRemove+0x33) [0x7f3f17e522c3]
5: /usr/lib64/xorg/modules/libshadow.so (0x7f3f17e51000+0x1784) [0x7f3f17e52784]
6: Xorg (0x400000+0xafc29) [0x4afc29]
7: Xorg (0x400000+0x152f0c) [0x552f0c]
8: Xorg (0x400000+0x2209c) [0x42209c]
9: /lib64/libc.so.6 (__libc_start_main+0xfd) [0x7f3f1a4dac5d]
10: Xorg (0x400000+0x21bb9) [0x421bb9]
Segmentation fault at address (nil)

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting
Comment 4 Bill Nottingham 2010-06-04 17:14:42 EDT
Why are you using 'xdriver=vesa', out of curiosity?
Comment 5 Ross Brattain 2010-06-04 17:23:03 EDT
I have to select "Install system with basic video driver" on the Avocent DSView3 KVM.

The regular video driver fails on the KVM.
Comment 6 RHEL Product and Program Management 2010-06-07 13:05:25 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 7 Adam Jackson 2010-06-07 15:03:07 EDT
Please re-test with xorg-x11-drv-vesa 2.3.0-1.el6 or later.
Comment 8 Ross Brattain 2010-06-07 16:36:29 EDT
Unfortunately this is an install issue.  I would need a new DVD install ISO in order to re-test.
Comment 9 Matěj Cepl 2010-06-08 10:53:43 EDT
(In reply to comment #8)
> Unfortunately this is an install issue.  I would need a new DVD install ISO in
> order to re-test.    

Well, you can install in a text mode, then upgrade and reboot ... it should test xorg-x11-* packages as well.

Thank you for helping us to make RHEL better.
Comment 10 Ross Brattain 2010-06-08 12:30:10 EDT
We are testing installation to a FCoE LUN through the Specialized Storage Devices option.  This is only available from the GUI anaconda installer.

We would like to be able to test a full DVD install to FCoE LUN.  For that we would need a new installation ISO with a working anaconda GUI.

Thank you for your help.
Comment 11 Adam Jackson 2010-06-10 12:57:39 EDT
This is an identical backtrace to bug #551418, so I'm calling this MODIFIED.  The next compose should pick up the new version of the vesa driver.
Comment 15 Lubos Kocman 2010-06-22 08:57:31 EDT
Hello,

I made few runs of RHEL6.0-20100620 dvd installations by using vesa driver and no segfault was detected at all.

xorg-x11-drv-vesa-2.3.0-1.el6

Moving to verified

Used machine Thinkpad T400 (intel)
Comment 16 releng-rhel@redhat.com 2010-07-02 15:58:21 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.
Comment 17 Jack Morgan 2010-07-19 11:09:08 EDT
Verified by Intel Validation.

Note You need to log in before you can comment on or make changes to this bug.